Ruby - Bug #6488

String#slice example has a syntax error
05/24/2012 05:37 PM - amorsen (Benny Lyne Amorsen)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)

Target version: 1.9.3

ruby -v: ruby 1.9.3p0 (2011-10-30) [x86_64-linux] | Backport:
Description

http://www.ruby-doc.org/core-1.9.3/String.html#method-i-slice has a syntax error:

a[%raeiou\1//]  #=>"ell"
a[%raeiou\11//, 0] #=>"ell"
a[%raeiou\11//, 1] #=>"I"
a[%raeiou\11//, 2] #=> nil

Oh, | have just realized that similar problems exist in the other regexp examples on the page, not just for slice.

Related issues:
Has duplicate Ruby - Bug #6523: typos/display errors in Regexp.html page Closed 06/01/2012

History

#1 - 05/25/2012 11:21 AM - shyouhei (Shyouhei Urabe)
- Category set to doc
- Status changed from Open to Assigned

- Assignee set to drbrain (Eric Hodel)

Seems this is a renderer issue. Eric, what do you think?

#2 - 05/29/2012 05:24 AM - zzak (zzak _)
| was unable to reproduce this with ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-linux] and rdoc 3.9.4
Could be an issue with ruby-doc.org?

#3 - 05/30/2012 05:35 AM - drbrain (Eric Hodel)

This is a bug in RDoc's ruby parser

#4 - 06/02/2012 08:21 AM - drbrain (Eric Hodel)

- Status changed from Assigned to Closed
Fixed by eaf2b80c and 0d72fc0d to the rdoc repository.
#5 - 06/07/2012 07:56 AM - nathanst (Nathan Stratton Treadway)

The references to the RDoc github commits don't show up as live links, so to save others the trouble of finding them, here are URLSs for each:
https://github.com/rdoc/rdoc/commit/eaf2b80c

https://github.com/rdoc/rdoc/commit/0d72fc0d

#6 - 06/13/2012 05:14 AM - nathanst (Nathan Stratton Treadway)

=begin
zzak (Zachary Scott) wrote:

| was unable to reproduce this with ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-linux] and rdoc 3.9.4

Could be an issue with ruby-doc.org?

More specifically, it was a problem in the HTML pages generated by RDoc v3.12 (and ruby-doc.org was indeed using that version).
Over the weekend James Britt regenerated the "core" and "std=lib" RDoc pages (for all Ruby versions) using a copy of rdoc that included this bug's
ruby_lex.rb patches, so the regexp literals on those pages should be fixed now.

(The gem RDocs on the site are built separately and so they may not have been updated yet.)
=end
